commit:     3988815288069f9c448af4fb2d8e78d0753c5c55
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  1 21:09:05 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Wed Apr  1 21:14:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39888152

virtual/os-headers: bump up to EAPI=7

While at it drop outdated sys-freebsd/freebsd-lib blockers.

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 virtual/os-headers/os-headers-0-r2.ebuild | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/virtual/os-headers/os-headers-0-r2.ebuild 
b/virtual/os-headers/os-headers-0-r2.ebuild
new file mode 100644
index 00000000000..6a4ee683133
--- /dev/null
+++ b/virtual/os-headers/os-headers-0-r2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual for operating system headers"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+
+# depend on SLOT 0 of linux-headers, because kernel-2.eclass
+# sets a different SLOT for cross-building
+RDEPEND="
+       !prefix-guest? (
+               || (
+                       kernel_linux? ( sys-kernel/linux-headers:0 )
+                       kernel_Winnt? (
+                               elibc_mingw? ( dev-util/mingw64-runtime )
+                       )
+               )
+       )
+       prefix-guest? (
+               !sys-kernel/linux-headers
+       )"

Reply via email to